Amener une entité au premier plan avec VBA

VBA ne propose pas de fonctions pour modifier l'ordre de tracé d'une entité. On peut cependant utiliser SendCommand pour lancer la commande ORDRETRACE (_DRAWORDER) :

Public Sub MoveToTop()
    Dim object As AcadObject
    Dim pt As Variant
    ThisDrawing.Utility.GetEntity object, pt, "Sélectionnez une entité:"
    ThisDrawing.SendCommand "_DRAWORDER" & vbCr _
        & "(handent """ & object.Handle & """)" & vbCr & vbCr _
        & "_F" & vbCr
End Sub

Cet exemple amène au premier plan l'entité sélectionnée. J'utilise une petite astuce, la fonction AutoLISP handent pour passer un nom d'entité à la commande.

Français

Etiquettes:

Ajouter un commentaire